Installing Windows NT 3.51 on Qemu

From Computer History Wiki
Revision as of 03:10, 26 October 2009 by Neozeed (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

This is a small guide to installing Windows NT 3.51 on qemu.

Windows NT 3.51 running on Qemu

The NT 3.51 install is somewhat straighforward in terms of hardware.

NT 3.51 is expecting an ISA computer, and this will limit your choice of network cards to the NE2000.

With Qemu 0.10.5 I was able to select the cpu level so I don't know if it's as troubled as NT 3.1.

The NT 3.51 CD-ROM is not bootable. You will either have to have the floppies, or do a 'network' install. I recommend using MS-DOS to mount the CD-ROM and start an install that way - see Installing MS-DOS on Qemu.

disk setup

I've also had issues with a 1GB disk to install into, however I've had a 500MB disk work fine. At times the installer will pause seeming to lock but it's working... There must be some IO timeout issues at hand..

networking

The NE2000 is setup by default on the IO port of 0x300 and IRQ 9 (which is mapped to 2...)

running the emulator

This is how I run my emulator...

qemu -L . -m 32 -hda nt351.disk -cpu 486 -net nic,model=ne2k_isa -net user -M isapc

Going from here

With Windows NT 3.51 installed there are a few things you'll probably want...

Service pack 5

I would recommend installing the last service pack for NT 3.51, sp5 which you can obtain here.

New Shell

This was an 'alpha' of the Windows 95 shell ported to Windows NT 3.51.. You can download it here. This will make NT 3.51 'feel' like NT 4.0

Internet Explorer

You can install the internet explorer for Windows 3.1 .. The last version was 5.01. You can download it from here.

Automatic login

Also you may want to have windows automatically log you in, use regedt32 to setup the registery as mentioned here.

FireFox

Yes, you can run firefox 2.0 on NT 3.51!

Firefox 2 running under NT 3.51 (I had to delete nsSearchService.js 
and nsSafebrowsingApplication.js to make it run under NT 3.51 and 95) 
Flash 7 also runs great, as long as it has the NT 3.51 version of WININET.DLL. 

This information comes from http://toastytech.com/guis/misc4.html